package com.vendor.loader.ui;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.loader.ui.ControlFactory;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;

public class LabelTextField {
  private String labelText;
  
  private Label labelId;
  
  private Label labelRange;
  
  private GridData textFieldData;
  
  private GridData labelIdData;
  
  private GridData labelRangeData;
  
  Text textField;
  
  private String tooltip;
  
  private int labelWidth;
  
  private String defaultValue;
  
  private String scopeText;
  
  public LabelTextField(Composite parent, String labelText, int labelWidth, String tooltip, String defaultValue, String scopeText) {
    this.labelText = labelText;
    this.labelWidth = labelWidth;
    this.tooltip = tooltip;
    this.defaultValue = defaultValue;
    this.scopeText = scopeText;
    createControl(parent);
  }
  
  public boolean isEmpty() {
    String text = this.textField.getText();
    return (text == null || text.isEmpty());
  }
  
  public boolean hasInputText(String errorMessage) {
    if (isEmpty()) {
      MessageDialog.openError(this.textField.getShell(), "Error", errorMessage);
      return false;
    } 
    return true;
  }
  
  public Text getTextControl() {
    return this.textField;
  }
  
  public String getText() {
    return this.textField.getText();
  }
  
  public void hide() {
    this.labelId.setVisible(false);
    this.labelIdData.exclude = true;
    this.labelRange.setVisible(false);
    this.textFieldData.exclude = true;
    this.textField.setVisible(false);
    this.labelRangeData.exclude = true;
  }
  
  private void createControl(Composite parent) {
    this.labelId = ControlFactory.createLabel(parent, this.labelText);
    this.labelIdData = new GridData();
    this.labelIdData.widthHint = this.labelWidth;
    this.labelId.setLayoutData(this.labelIdData);
    this.textFieldData = new GridData();
    this.textFieldData.horizontalSpan = (this.tooltip == null) ? 2 : 1;
    this.textField = ControlFactory.createTextField(parent, 2052);
    this.textFieldData.widthHint = this.labelWidth;
    this.textField.setLayoutData(this.textFieldData);
    this.textField.setFont(parent.getFont());
    if (this.defaultValue != null)
      this.textField.setText(this.defaultValue); 
    if (this.tooltip != null) {
      this.textField.setToolTipText(this.tooltip);
      GridData gd = new GridData();
      gd.horizontalAlignment = 128;
      this.labelId.setLayoutData(gd);
    } 
    this.labelRange = ControlFactory.createLabel(parent, "(" + this.scopeText + ")");
    this.labelRangeData = (GridData)this.labelRange.getLayoutData();
    this.labelRangeData.grabExcessHorizontalSpace = false;
    this.labelRangeData.widthHint = this.labelWidth;
  }
}
